#include <iostream>

using namespace std;

int main()
{
    int n, i, j;
    scanf("%d",&n);
    float a[n], p[n], u[n], x;
    for(i=0; i<n; i++)
    {
        scanf("%f%f",&a[i],&p[i]);
        u[i]=0;
    }
    i=0;
    while(i<n)
    {
        j=0;
        while(j<n)
        {
            if(p[j]>=p[i])
                u[i]+=a[j]*p[i];
            j++;
        }
        if(i==0)
        {
            x=u[i];
        }
        else
        {
            if(u[i]>x)
                x=u[i];
        }
        i++;
    }
    printf("%f",x/100);
}